---
title: "Get a subagent's stored task and final summary (not a full harness transcript)"
---

> Documentation Index
> Fetch the complete documentation index at: https://tryshiba.dev/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Shiba public API

`GET /subagents/{subagentId}/messages`

## Authentication

- `bearerAuth`, http, header `Authorization`, format `API key`

## Code samples

### cURL

```bash
curl --request GET \
  --url '<base-url>/api/v1/subagents/%7BsubagentId%7D/messages' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = '<base-url>/api/v1/subagents/%7BsubagentId%7D/messages';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "<base-url>/api/v1/subagents/%7BsubagentId%7D/messages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Stored message projection

### 404

Subagent not found


Source: https://tryshiba.dev/reference/api/get/subagents/subagentId/messages/index.md
